Summary: An HTTP and WebDAV client library
Name: neon
Version: 0.27.2
Release: 1
License: LGPL
Group: System Environment/Libraries
URL: http://www.webdav.org/neon/
Source0: http://www.webdav.org/neon/neon-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: expat-devel, openssl-devel, zlib-devel
BuildRequires: pkg-config
Requires: expat, openssl, zlib

%description
neon is an HTTP and WebDAV client library, with a C interface;
providing a high-level interface to HTTP and WebDAV methods along
with a low-level interface for HTTP request handling.  neon
supports persistent connections, proxy servers, basic, digest and
Kerberos authentication, and has complete SSL support.


%package devel
Summary: Development libraries and C header files for the neon library
Group: Development/Libraries
Requires: neon = %{version}-%{release}, openssl-devel, zlib-devel, expat-devel
Requires: pkg-config

%description devel
The development library for the C language HTTP and WebDAV client library.


%prep
%setup -q


%build
export CC="cc -I/opt/freeware/include"
./configure \
    --prefix=/opt/freeware \
    --enable-shared --enable-static \
    --with-ssl=openssl \
    --with-expat
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc AUTHORS BUGS TODO src/COPYING.LIB NEWS README THANKS
%{_libdir}/*.a

%files devel
%defattr(-,root,system)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/pkgconfig/neon.pc
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_libdir}/*.la
%{_datadir}/*


%changelog
* Mon Dec 17 2007 Michael Perzl <michael@perzl.org> 0.27.2-1
- First version for AIX5L v5.1 and higher

